﻿@font-face {
    font-family: 'Flash';
    src: url("../../fonts/flash.ttf");
    font-display: block;
}

.landing-pages__configurateur__section-revive {
    width: 100%;
    padding-top: 20px;
    height: auto;

    & > ins img {
        object-fit: contain;
        width: 100%;
        height: 100%;
    }

    @media screen and (max-width: 630px) {
        padding-top: unset;
    }
}

.landing-pages__configurateur__section-configurator {
    background: url(https://www.cybertek.fr/images_produits/cybertek/configurateur/configurateur_bg1.png);
    background-size: cover;

    & > .content {
        display: flex;
        flex-direction: column;
        max-width: 1600px;
        padding: 40px 0px;
        justify-content: center;
        align-items: center;
        gap: 20px;
        margin: auto;

        @media screen and (max-width: 1920px) {
            max-width: 1280px;
        }

        @media screen and (max-width: 630px) {
            padding: 30px 10px;
        }
    }

    & > .config-homepage {
        padding: 35px 0px 100px !important;

        @media screen and (max-width: 1300px) {
            padding: 20px 0px 50px !important;
        }
    }
}

.landing-pages__configurateur__section-banner {
    display: none;
    justify-content: center;
    align-items: center;
    background: #FFFAE2;
    width: 100%;
    height: 51px;

    & > p {
        color: #2B2B2B;
        font-family: Montserrat;
        font-size: 20px;
        font-weight: 500;
        text-align: center;

        @media screen and (max-width: 783px) {
            font-size: 16px;
        }
    }

    @media screen and (max-width: 630px) {
        display: none !important;
    }
}

.landing-pages__configurateur__section-toolbar-desktop {
    display: none;
    width: 100%;
    height: 100px;
    justify-content: center;
    align-items: center;

    & > .content {
        display: flex;
        width: 100%;
        max-width: 1500px;
        justify-content: space-between;
        align-items: center;

        & > .title {
            color: var(--noir);
            font-family: Outfit;
            font-size: 24px;
            font-weight: 400;
            line-height: 22px;

            @media screen and (max-width: 783px) {
                font-size: 20px;
            }
        }

        & > .price-container {
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 25px;

            & > .price {
                color: var(--noir);
                font-family: Outfit;
                font-size: 24px;
                font-weight: 400;
                line-height: 17px;
            }

            & > .final-price {
                color: var(--noir);
                font-family: Outfit;
                font-size: 24px;
                font-weight: 600;
                line-height: 22px;

                @media screen and (max-width: 783px) {
                    font-size: 20px;
                    width: max-content;
                }
            }

            & > .action-next-step {
                display: none;
                width: 300px;
                height: 50px;
                padding: 10px;
                justify-content: space-around;
                align-items: center;
                background: linear-gradient(0deg, #000 0%, #000 100%), #1D1D1D;
                cursor: pointer;
                border-radius: 35px;

                & > p {
                    color: var(--blanc);
                    font-size: 20px;
                    font-weight: 500;
                    font-family: Montserrat;

                    @media screen and (max-width: 783px) {
                        font-size: 16px;
                    }
                }

                & > svg {
                    filter: invert(1);
                }

                @media screen and (max-width: 783px) {
                    width: 240px;
                }
            }

            & > .action-generate {
                display: none;
                width: 300px;
                height: 50px;
                padding: 10px;
                justify-content: space-around;
                align-items: center;
                background: linear-gradient(0deg, #FFC600 0%, #FFC600 100%), #1D1D1D;
                border-radius: 35px;
                cursor: pointer;

                & > p {
                    color: #090909;
                    font-family: Outfit;
                    font-size: 20px;
                    font-weight: 500;

                    @media screen and (max-width: 783px) {
                        font-size: 16px;
                    }
                }

                @media screen and (max-width: 783px) {
                    width: 200px;
                }
            }
        }

        & > .toolbar-recap {
            display: none;
            cursor: pointer;
            color: var(--noir);
            font-family: Outfit;
            font-size: 24px;
            font-weight: 400;
            text-decoration-line: underline;

            @media screen and (max-width: 783px) {
                font-size: 20px;
            }
        }

        @media screen and (max-width: 1920px) {
            max-width: 1220px;
        }

        @media screen and (max-width: 1300px) {
            padding: 0 20px;
        }
    }
}

@media screen and (min-width: 631px) and (max-width: 783px) {
    body {
        overflow-x: unset;
    }

    #cbk_page_container {
        overflow: unset;
    }

    .landing-pages__configurateur__section-banner {
        position: sticky;
        bottom: 100px;
        z-index: 1000000;
    }

    .landing-pages__configurateur__section-toolbar-desktop {
        position: sticky;
        bottom: 0;
        z-index: 1000000;
        background: var(--blanc);
    }
}

.landing-pages__configurateur__section-toolbar-mobile {
    display: none;
    width: 100%;
    position: fixed;
    bottom: 0;
    z-index: 1000000;
    background: var(--blanc);
    height: auto;
    flex-direction: column;

    & > .toolbar-recap {
        background: #EBEBEB;
        width: 100%;
        display: none;
        justify-content: center;
        align-items: center;
        padding: 10px 20px 10px;
        color: #1D1D1D;
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 600;
    }

    & > .content {
        display: flex;
        padding: 15px 25px;
        height: 78px;
        justify-content: space-between;

        & > .title-price {
            display: flex;
            flex-direction: column;
            gap: 5px;
            width: 100%;
            align-items: center;

            & > .title {
                color: #000;
                font-family: Outfit;
                font-size: 15px;
                font-weight: 500;
                line-height: 21px;
            }

            & > .price {
                color: #000;
                font-family: Outfit;
                font-size: 15px;
                font-weight: 700;
                line-height: 21px;
            }

            & > .final-price {
                color: var(--noir);
                font-family: Outfit;
                font-size: 15px;
                font-weight: 600;
                line-height: 17px;
            }
        }

        & > .action-generate {
            border-radius: 50px;
            background: #FFC600;
            display: none;
            justify-content: center;
            align-items: center;
            min-width: 160px;
            padding: 5px;

            & > p {
                color: var(--noir);
                text-align: center;
                font-family: Outfit;
                font-style: normal;
                font-weight: 500;
            }
        }

        & > .action-next-step {
            display: flex;
            justify-content: center;
            align-items: center;
            min-width: 160px;
            padding: 5px;
            background: linear-gradient(0deg, #000 0%, #000 100%), #1D1D1D;
            cursor: pointer;
            border-radius: 35px;

            & > p {
                color: var(--blanc);
                font-size: 13px;
                text-align: center;
                font-weight: 500;
                font-family: Montserrat;
            }
        }
    }
}

.landing-pages__configurateur__section-title-config {
    display: none;
    width: 100%;
    height: 340px;
    background: url(https://www.cybertek.fr/images_produits/cybertek/configurateur/configurateur_bg2.png);
    background-size: cover;
    justify-content: center;
    align-items: center;

    & > .text {
        font-family: Flash;
        color: var(--blanc);
        font-size: 42px;
        font-weight: 400;
        text-transform: uppercase;
        max-width: 580px;
        line-height: 45px;
        text-align: center;

        @media screen and (max-width: 630px) {
            max-width: 290px;
            font-size: 20px;
            line-height: 30px;
        }
    }

    @media screen and (max-width: 630px) {
        height: 130px;
    }
}

.landing-pages__configurateur__section-pae {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 70px 0;
    background: var(--blanc);

    & > .content {
        display: flex;
        flex-direction: column;
        gap: 20px;

        & > .title {
            color: var(--noir);
            font-family: Outfit;
            font-size: 24px;
            font-weight: 500;
            line-height: 42px;

            @media screen and (max-width: 1300px) {
                padding: 0 10px;
                font-size: 20px;
            }
        }

        & > #cyb-uc-BlocConfigPreteALemploi__liste-configurations-similaires {
            & > .cyb-uc-BlocConfigPreteALemploi__gpcgamer__caracteristiques__fiche {
                padding: 0 !important;

                & > .cyb-uc-BlocConfigPreteALemploi__gpcgamer_titre {
                    & > .cyb-uc-BlocConfigPreteALemploi__gpcgamer_titre1pc {
                        display: none !important
                    }
                }

                & > .cyb-uc-BlocConfigPreteALemploi__gpcgamer__line {
                    display: none !important
                }
            }

            & .blocListeVignette {
                & > #listePc_BlocIdPAE {
                    & > .wrapperListeVignette {
                        padding: 15px 0 30px 0 !important;
                        width: 1600px;
                        display: flex;
                        justify-content: space-between;

                        & > .swiper-slide-active {
                            & > .cyb-uc-CompVignetteLifeConfig__pcSimi--unPcSimi {
                                background: rgba(0, 0, 0, 0.87) !important
                            }
                        }

                        & .cyb-uc-CompVignetteLifeConfig__pcSimi--unPcSimi {
                            background: rgba(62, 61, 61, 0.80) !important;

                            & > .cyb-uc-CompVignetteLifeConfig__pcSimi__line.cyb-uc-CompVignetteLifeConfig__pcGamerPaiement36Fois {
                                color: #FFF !important;
                                font-size: 13px !important;
                                font-weight: 400 !important;
                            }

                            & > .cyb-uc-CompVignetteLifeConfig__pcSimi__options {
                                background: #FDFDFD !important;
                                color: black !important
                            }

                            & > .cyb-uc-CompVignetteLifeConfig__pcSimiDispo {
                                color: #0B5 !important;
                                font-size: 13px !important;
                                font-weight: 600 !important;
                            }
                        }

                        @media screen and (max-width: 1920px) {
                            width: 1280px;
                        }

                        @media screen and (max-width: 1300px) {
                            width: 100%;
                        }
                    }

                    & .swiper-pagination-bullet-active.swiper-pagination-bullet-active-main {
                        background: #000 !important;
                    }

                    @media screen and (max-width: 1300px) {
                        max-width: unset !important;
                    }
                }
            }
        }

        @media screen and (max-width: 1920px) {
            max-width: 1300px;
        }

        @media screen and (max-width: 1300px) {
            width: 100%;
        }
    }

    @media screen and (max-width: 1300px) {
        padding: 20px 0;
    }
}

.landing-pages__configurateur__section-seo {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 50px 0;
    background: url(https://www.cybertek.fr/images_produits/cybertek/configurateur/configurateur_bg3.png);
    background-size: cover;

    & > .content {
        display: flex;
        gap: 50px;
        max-width: 1600px;

        & > .text-container {
            display: flex;
            flex-direction: column;
            gap: 15px;
            width: 100%;

            & > h3 {
                color: var(--noir);
                font-family: Outfit;
                font-size: 20px;
                font-weight: 500;
                line-height: 24px;

                @media screen and (max-width: 1300px) {
                    font-size: 16px;
                }
            }

            & > p {
                color: var(--noir);
                font-family: Outfit;
                font-size: 14px;
                font-weight: 300;
                line-height: 18px;
            }

            @media screen and (max-width: 1300px) {
                padding: 0 20px;
            }
        }

        & > img {
            width: 567px;
            object-fit: contain;

            @media screen and (max-width: 1300px) {
                width: 378px;
            }
        }

        @media screen and (max-width: 1920px) {
            max-width: 1280px;
            align-items: center;
        }

        @media screen and (max-width: 1300px) {
            flex-direction: column;
            gap: 35px;
        }
    }

    @media screen and (max-width: 1300px) {
        padding: 20px 0;
    }
}

.landing-pages__configurateur__section-presentation {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 50px 0;
    background: url(https://www.cybertek.fr/images_produits/cybertek/configurateur/configurateur_bg4.png);
    background-size: cover;

    & > .content {
        display: flex;
        flex-direction: column;
        gap: 12px;
        max-width: 1600px;

        & > .presentation-container {
            display: flex;
            flex-direction: column;
            gap: 15px;
            border-radius: 10px;
            background: var(--blanc);
            padding: 20px 25px;

            & > .title {
                color: var(--noir);
                font-family: Outfit;
                font-size: 20px;
                font-weight: 500;
                text-transform: uppercase;
            }

            & > .desc {
                color: var(--noir);
                font-family: Outfit;
                font-size: 13px;
                font-weight: 300;
                line-height: 16px;
            }
        }

        @media screen and (max-width: 1920px) {
            max-width: 1280px;
        }

        @media screen and (max-width: 1300px) {
            padding: 0 10px;
        }
    }

    @media screen and (max-width: 1300px) {
        padding: 30px 0;
    }
}
